public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/hip/
Date: Tue, 31 Jan 2023 13:32:27 +0000 (UTC)	[thread overview]
Message-ID: <1675171843.ccca3c9fb3f52a7d7a4fe8a2d3fcf70118520095.heroxbd@gentoo> (raw)

commit:     ccca3c9fb3f52a7d7a4fe8a2d3fcf70118520095
Author:     Yiyang Wu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Mon Jan 23 13:58:12 2023 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 13:30:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccca3c9f

dev-util/hip: remove unnecessary sed commands

Note: this turns __HIP_ENABLE_PCH to ON (it's turned off originally due
to build failure back in version 4.0.0, but now the issue disappears)

Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 dev-util/hip/hip-5.3.3-r2.ebuild | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/dev-util/hip/hip-5.3.3-r2.ebuild b/dev-util/hip/hip-5.3.3-r2.ebuild
index 210af33a2bb1..b842e9362711 100644
--- a/dev-util/hip/hip-5.3.3-r2.ebuild
+++ b/dev-util/hip/hip-5.3.3-r2.ebuild
@@ -71,22 +71,15 @@ src_prepare() {
 	# Use Gentoo slot number, otherwise git hash is attempted in vain.
 	sed -e "/set (HIP_LIB_VERSION_STRING/cset (HIP_LIB_VERSION_STRING ${SLOT#*/})" -i CMakeLists.txt || die
 
-	# disable PCH, because it results in a build error in ROCm 4.0.0
-	sed -e "s:option(__HIP_ENABLE_PCH:#option(__HIP_ENABLE_PCH:" -i CMakeLists.txt || die
-
 	# correctly find HIP_CLANG_INCLUDE_PATH using cmake
 	local LLVM_PREFIX="$(get_llvm_prefix "${LLVM_MAX_SLOT}")"
 	local CLANG_RESOURCE_DIR=$("${LLVM_PREFIX}/bin/clang" -print-resource-dir)
 	sed -e "/set(HIP_CLANG_ROOT/s:\"\${ROCM_PATH}/llvm\":${LLVM_PREFIX}:" -i hip-config.cmake.in || die
 
 	# correct libs and cmake install dir
-	sed -e "/LIB_INSTALL_DIR/s:PREFIX}/lib:PREFIX}/$(get_libdir):" \
-		-e "/\${HIP_COMMON_DIR}/s:cmake DESTINATION .):cmake/ DESTINATION share/cmake/Modules):" -i CMakeLists.txt || die
-	sed -e "/LIBRARY DESTINATION/s:lib:$(get_libdir):" -i src/CMakeLists.txt || die
+	sed -e "/\${HIP_COMMON_DIR}/s:cmake DESTINATION .):cmake/ DESTINATION share/cmake/Modules):" -i CMakeLists.txt || die
 
 	sed -e "/\.hip/d" \
-		-e "s,DESTINATION lib,DESTINATION $(get_libdir),g" \
-		-e "/cmake DESTINATION/d" \
 		-e "/CPACK_RESOURCE_FILE_LICENSE/d" -i packaging/CMakeLists.txt || die
 
 	pushd ${HIP_S} || die


             reply	other threads:[~2023-01-31 13:32 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-31 13:32 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-13  8:38 [gentoo-commits] repo/gentoo:master commit in: dev-util/hip/ Sam James
2025-02-08 10:07 Patrick Lauer
2024-12-01  7:57 Patrick Lauer
2024-07-28  8:04 Patrick Lauer
2024-06-26  9:21 Sam James
2024-06-26  9:21 Sam James
2024-03-12  2:25 Sam James
2024-03-08 19:22 Sam James
2024-03-08 19:22 Sam James
2024-03-08 19:22 Sam James
2024-01-06  7:21 Sam James
2024-01-06  7:21 Sam James
2023-12-23 10:43 罗百科
2023-12-14 15:02 Benda XU
2023-12-14 15:02 Benda XU
2023-11-19 11:30 罗百科
2023-10-30  9:22 罗百科
2023-10-27  8:14 Andrew Ammerlaan
2023-10-19 10:38 罗百科
2023-02-22 16:16 Sam James
2023-01-31 13:32 Benda XU
2023-01-31 13:32 Benda XU
2023-01-31 13:32 Benda XU
2023-01-31 13:32 Benda XU
2023-01-31 13:32 Benda XU
2022-12-20  9:26 罗百科
2022-10-08 12:40 Arthur Zamarin
2022-09-12  8:41 Benda XU
2022-09-12  8:41 Benda XU
2022-06-22 13:03 Benda XU
2022-03-27  3:26 Benda XU
2022-03-27  3:18 Benda XU
2022-03-25 15:52 Benda XU
2022-03-05 20:51 Andrew Ammerlaan
2022-01-24 14:46 Benda XU
2021-08-03  7:04 Benda XU
2021-08-03  1:35 Benda XU
2021-01-20  5:36 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675171843.ccca3c9fb3f52a7d7a4fe8a2d3fcf70118520095.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox